Bug 12574 - BiblioDefaultView doesn't affect XSLT results view
Summary: BiblioDefaultView doesn't affect XSLT results view
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 12561
  Show dependency treegraph
 
Reported: 2014-07-14 16:39 UTC by Owen Leonard
Modified: 2016-12-05 21:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12574 - BiblioDefaultView doesn't affect XSLT results view (3.04 KB, patch)
2014-07-14 16:59 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED OFF] Bug 12574 - BiblioDefaultView doesn't affect XSLT results view (3.07 KB, patch)
2014-09-03 03:40 UTC, Nick Clemens
Details | Diff | Splinter Review
[PASSED QA] Bug 12574 - BiblioDefaultView doesn't affect XSLT results view (3.37 KB, patch)
2014-09-07 22:47 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2014-07-14 16:39:24 UTC
The OPAC XSLT results view needs to be updated to use the BiblioDefaultView system preference.
Comment 1 Owen Leonard 2014-07-14 16:59:15 UTC Comment hidden (obsolete)
Comment 2 Christopher Brannon 2014-07-29 15:49:09 UTC
Owen,
Unless there is some aspect of this feature I am not setting right or that doesn't work in sandbox, I am not seeing any difference with the patch applied.

I set OPACXSLTDetailsDisplay and OPACXSLTResultsDisplay to default, and see that those are working.  I have set BiblioDefaultView to "in their MARC form.", but it still defaults to normal view.
Comment 3 Owen Leonard 2014-07-30 14:40:55 UTC
Could someone take another look at this? It works for me and I'm not sure what might be going wrong.
Comment 4 Christopher Brannon 2014-07-30 17:00:36 UTC
Owen,
On the chance that I did something wrong in my testing, I tested again.  Here is what I found:

I found that I was refreshing my search after changing settings, and realized that the view was coded in the URL, so I wasn't going to see any changes.  My fault.

With today's test, I set OPACXSLTDetailsDisplay and OPACXSLTResultsDisplay to default, and see that those are working.  I have set BiblioDefaultView to "in their MARC form.", an it works.  This is just off a fresh installed master and without your patch installed.

Please confirm the problem exists in master.

Christopher
Comment 5 Christopher Brannon 2014-08-09 23:11:59 UTC
Owen,
Just tested again on a testbox, and I still see the master honoring the BiblioDefaultView setting, even when OPACXSLTDetailsDisplay and OPACXSLTResultsDisplay to default.

Is it the results page or the details display that you are having an issue on?  Does the bug affect only one or both?

Christopher
Comment 6 Owen Leonard 2014-08-11 20:15:45 UTC
(In reply to Christopher Brannon from comment #5)

> Is it the results page or the details display that you are having an issue
> on?  Does the bug affect only one or both?

The BiblioDefaultView preference has no affect on the detail display. The preference only affects *which* dteail display you'll get when you click a link to a title. The OPACXSLTDetailsDisplay is irrelevant here.

The only page which requires testing is the OPAC's search results page.

Are you saying that:

- in master
- with OPACXSLTResultsDisplay set to "default"
- with BiblioDefaultView set to "in their MARC form"

...clicking on a title in OPAC search results takes you to opac-MARCdetail.pl?
Comment 7 Nick Clemens 2014-09-03 03:40:04 UTC Comment hidden (obsolete)
Comment 8 Christopher Brannon 2014-09-03 14:58:45 UTC
> Are you saying that:
> 
> - in master
> - with OPACXSLTResultsDisplay set to "default"
> - with BiblioDefaultView set to "in their MARC form"
> 
> ...clicking on a title in OPAC search results takes you to
> opac-MARCdetail.pl?

Yes.
Comment 9 Katrin Fischer 2014-09-07 22:47:33 UTC
Created attachment 31448 [details] [review]
[PASSED QA] Bug 12574 - BiblioDefaultView doesn't affect XSLT results view

The OPAC's XSLT results view does not respect the choice set in the
BiblioDefaultView system preference. This patch adds a check of the
preference to the OPAC's results view for MARC21.

To test you must have the OPAC configured to use the XSLT view for
search results. Perform any search and test the link to a title's detail
page. Switching the values of the BiblioDefaultView should be correctly
reflected in the search results links.

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works as described for XSLT view in OPAC.

Notes:
- maybe we should change the pref text from 'simple form' to 'normal view'.
- the patch doesn't include changes to the title link generated from an 880
  field - so those links will still lead to the wrong view.
Comment 10 Katrin Fischer 2014-09-07 22:48:07 UTC
Some notes:
- maybe we should change the pref text from 'simple form' to 'normal view'.
- the patch doesn't include changes to the title link generated from an 880
  field - so those links will still lead to the wrong view.
Comment 11 Tomás Cohen Arazi 2014-09-14 05:06:04 UTC
Patch pushed to master.

Thanks Owen!